part of common_theme_class;

class IntelUtility {
  static void showLoader({
    @required BuildContext context,
    @required bool show,
    @required Color color,
    @required double size,
  }) {
    if (show) {
      showDialog(
          context: context,
          barrierDismissible: false,
          builder: (BuildContext context) {
            return WillPopScope(
              onWillPop: () {},
              child: Center(
                  child: SpinKitRing(
                color: color,
                size: size,
              )),
            );
          });
    } else {
      Navigator.of(context, rootNavigator: true).pop("");
    }
  }

  static showNotificationAlert(
      String message, Color backgroundColor, Color foregroundColor) {
    showSimpleNotification(
        Text(
          message,
          style: TextStyle(fontWeight: FontWeight.w500),
        ),
        background: backgroundColor,
        foreground: foregroundColor,
        slideDismiss: true,
        duration: Duration(seconds: 3));
  }

  static Future<dynamic> navigateToScreen(
      BuildContext context, Widget screen) async {
    var value = await Navigator.push(
        context, MaterialPageRoute(builder: (context) => screen));
    return value;
  }

  static navigateReplaceToScreen(BuildContext context, Widget screen) {
    Navigator.pushReplacement(
        context, MaterialPageRoute(builder: (context) => screen));
  }

  static Future<dynamic> navigateToDetailScreen(
      BuildContext context, Widget screen) async {
    var value = await Navigator.of(context, rootNavigator: true)
        .push(MaterialPageRoute(builder: (context) => screen));
    return value;
  }

  static commonButtonView({
    @required String buttonName,
    @required Function callback,
    @required double buttonHeight,
    @required double buttonRadius,
    @required Color buttonColor,
    @required bool buttonShadow,
    @required CrossAxisAlignment rowCrossAxisAlignment,
    @required MainAxisAlignment rowMainAxisAlignment,
    Color buttonShadowColor,
    double buttonShadowBlurRadius,
    double buttonOffsetOne,
    double buttonOffsetTwo,
    String imageOne,
    String imageTwo,
    double imageHeight,
    double imageWidth,
    Color imageOneColor,
    Color imageTwoColor,
  }) {
    return Container(
      height: buttonHeight,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(buttonRadius),
        boxShadow: <BoxShadow>[
          buttonShadow
              ? BoxShadow(
                  color: buttonShadowColor,
                  blurRadius: buttonShadowBlurRadius,
                  offset: Offset(buttonOffsetOne, buttonOffsetTwo))
              : BoxShadow()
        ],
      ),
      child: MaterialButton(
        color: buttonColor,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(buttonRadius),
        ),

        onPressed: callback,
        // needed

        child: Row(
          crossAxisAlignment: rowCrossAxisAlignment,
          mainAxisAlignment: rowMainAxisAlignment,
          children: [
            Visibility(
                visible: imageOne != null ? true : false,
                child: imageOne != null
                    ? Image.asset(
                        imageOne,
                        height: imageHeight,
                        width: imageWidth,
                        color: imageOneColor,
                      )
                    : Container()),
            Text(buttonName),
            Visibility(
                visible: imageTwo != null ? true : false,
                child: imageTwo != null
                    ? Image.asset(
                        imageTwo,
                        height: imageHeight,
                        width: imageWidth,
                        color: imageTwoColor,
                      )
                    : Container())
          ],
        ),
      ),
    );
  }
}
